unit pr_Reg;

interface

uses
  DFSClrBn, ColorAEd, CBtnForm,
  dsgnintf, Classes, SysUtils, pr_Common, pr_Classes, pr_TxClasses, pr_Properties,
  pr_VersionsEditor, pr_MultiLang, pr_Dataset;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('PReport', [TprReport]);
  RegisterComponents('PReport', [TprTxReport]);
  RegisterComponents('PReport', [TdfsColorButton]);
  RegisterComponents('PReport', [TprMLRes]);
  RegisterComponents('PReport', [TprStringsDataset]);
  RegisterComponents('PReport', [TprEventsDataset]);

  RegisterPropertyEditor(TypeInfo(TColorArrayClass), NIL, '',
     TColorArrayProperty);

  RegisterNoIcon([TprObjVersionsEditor]);
     
  RegisterNoIcon([TprHTitleBand]);
  RegisterNoIcon([TprHSummaryBand]);
  RegisterNoIcon([TprHPageHeaderBand]);
  RegisterNoIcon([TprHPageFooterBand]);
  RegisterNoIcon([TprHDetailBand]);
  RegisterNoIcon([TprHDetailHeaderBand]);
  RegisterNoIcon([TprHDetailFooterBand]);
  RegisterNoIcon([TprHGroupHeaderBand]);
  RegisterNoIcon([TprHGroupFooterBand]);
  RegisterNoIcon([TprVTitleBand]);
  RegisterNoIcon([TprVSummaryBand]);
  RegisterNoIcon([TprVPageHeaderBand]);
  RegisterNoIcon([TprVPageFooterBand]);
  RegisterNoIcon([TprVDetailBand]);
  RegisterNoIcon([TprVDetailHeaderBand]);
  RegisterNoIcon([TprVDetailFooterBand]);
  RegisterNoIcon([TprVGroupHeaderBand]);
  RegisterNoIcon([TprVGroupFooterBand]);

  RegisterNoIcon([TprTxHTitleBand]);
  RegisterNoIcon([TprTxHSummaryBand]);
  RegisterNoIcon([TprTxHPageHeaderBand]);
  RegisterNoIcon([TprTxHPageFooterBand]);
  RegisterNoIcon([TprTxHDetailBand]);
  RegisterNoIcon([TprTxHDetailHeaderBand]);
  RegisterNoIcon([TprTxHDetailFooterBand]);
  RegisterNoIcon([TprTxHGroupHeaderBand]);
  RegisterNoIcon([TprTxHGroupFooterBand]);
  RegisterNoIcon([TprTxVTitleBand]);
  RegisterNoIcon([TprTxVSummaryBand]);
  RegisterNoIcon([TprTxVPageHeaderBand]);
  RegisterNoIcon([TprTxVPageFooterBand]);
  RegisterNoIcon([TprTxVDetailBand]);
  RegisterNoIcon([TprTxVDetailHeaderBand]);
  RegisterNoIcon([TprTxVDetailFooterBand]);
  RegisterNoIcon([TprTxVGroupHeaderBand]);
  RegisterNoIcon([TprTxVGroupFooterBand]);

  RegisterNoIcon([TprPage]);
  RegisterNoIcon([TprMemoObj]);
  RegisterNoIcon([TprImageObj]);
  RegisterNoIcon([TprGroup]);

  RegisterNoIcon([TprTxPage]);
  RegisterNoIcon([TprTxMemoObj]);

  RegisterComponentEditor(TprReport,TprCustomReportEditor);
  RegisterPropertyEditor(TypeInfo(string),TprReport,'PrinterName',TprPrinterNameProperty);
  RegisterPropertyEditor(TypeInfo(TprValues),TprReport,'Values',TprValuesProperty);

  RegisterComponentEditor(TprTxReport,TprCustomReportEditor);
  RegisterPropertyEditor(TypeInfo(string),TprTxReport,'PrinterName',TprTxPrinterNameProperty);
  RegisterPropertyEditor(TypeInfo(TprValues),TprTxReport,'Values',TprValuesProperty);

  RegisterComponentEditor(TprMLRes,TprMLResEditor);
end;

end.
